TransferObject (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.jdo
Class TransferObject

    java.lang.Object
      org.gcube.datatransfer.agent.impl.jdo.TransferObject

All Implemented Interfaces:
  Serializable

    public class TransferObject

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`TransferObject()`

Method Summary
`String` | `getDestURI()`
`String` | `getId()`
`String` | `getOutcome()`
`Long` | `getSize()`
`String` | `getSourceURI()`
`String` | `getStatus()`
`String` | `getTransferID()`
`Long` | `getTransferTime()`
`org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType` | `getTransferType()`
`void` | `setDestURI(String destURI)`
`void` | `setId(String objectId)`
`void` | `setOutcome(String outcome)`
`void` | `setSize(Long size)`
`void` | `setSourceURI(String sourceURI)`
`void` | `setStatus(String status)`
`void` | `setTransferID(String transferID)`
`void` | `setTransferTime(Long transferTime)`
`void` | `setTransferType(org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferObject

    public TransferObject()

Method Detail

### getTransferTime

    public Long getTransferTime()

### setTransferTime

    public void setTransferTime(Long transferTime)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getId

    public String getId()

### setId

    public void setId(String objectId)

### getSize

    public Long getSize()

### setSize

    public void setSize(Long size)

### getSourceURI

    public String getSourceURI()

### setSourceURI

    public void setSourceURI(String sourceURI)

### getDestURI

    public String getDestURI()

### setDestURI

    public void setDestURI(String destURI)

### getOutcome

    public String getOutcome()

### setOutcome

    public void setOutcome(String outcome)

### getTransferType

    public org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType getTransferType()

### setTransferType

    public void setTransferType(org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType)

### getTransferID

    public String getTransferID()

### setTransferID

    public void setTransferID(String transferID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.